## org.hibernate.ejb.criteria.path
Interface AbstractFromImpl.JoinScope<X>

All Superinterfaces:
  Serializable

All Known Implementing Classes:
  AbstractFromImpl.BasicJoinScope, AbstractFromImpl.CorrelationJoinScope

Enclosing class:
  AbstractFromImpl<Z,X>

    public static interface AbstractFromImpl.JoinScope<X>

extends Serializable

Helper contract used to define who/what keeps track of joins and fetches made from this `FROM`.

Method Summary
`void` `addFetch(Fetch<X,?> fetch)`
`void` `addJoin(Join<X,?> join)`

Method Detail

### addJoin

    void addJoin(Join<X,?> join)

### addFetch

    void addFetch(Fetch<X,?> fetch)

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.